#
# spec file for package golang-googlecode-goconf
#
# Copyright (c) 2011, Sascha Peilicke <saschpe@gmx.de>
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           golang-googlecode-goconf
Version:        0.0.0+hg20120508.16.a4db5c465ed1
Release:        1.1
Summary:        Configuration file parser for the Go Programming Language
Group:          Development/Languages/Other
License:        BSD-3-Clause
URL:            http://code.google.com/p/goconf
Source0:        goconf-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  golang-packaging
BuildRequires:	xz
Provides:	go-goconf = %{version}
Obsoletes:	go-goconf < %{version}
%{go_provides}

%description
A simple configuration file parser for the Go programming language.

%gosrc_package

%prep
%setup -q -n goconf-%{version}

%build
%goprep code.google.com/p/goconf
%gobuild conf

%install
%goinstall
%gosrc

%files
%defattr(-,root,root,-)
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-googlecode-goconf
- use golang-packaging for packaging
* Tue Aug 13 2013 speilicke@suse.com
- Update to version 0.0.0+hg20120508.16.a4db5c465ed1
- Add and use _service file
* Mon Mar  5 2012 graham@andtech.eu
- update for weekly.2012-03-04
* Fri Jun 24 2011 saschpe@suse.de
- Fix upstream URL
* Wed Jun  8 2011 saschpe@suse.de
- Use new %%go_disable_brp_strip_static_archive macro
* Fri May 20 2011 saschpe@suse.de
- Remove non-working tests
* Fri May 20 2011 saschpe@suse.de
- Use Go RPM macros instead of custom ones
- Use proper package versioning scheme (needs reinstall)
- Drop provides/obsoletes of old package, needs reinstall anyway
* Thu May 19 2011 saschpe@suse.de
- Remove rpmlintrc, not needed anymore
* Thu May 19 2011 saschpe@suse.de
- Simpler build
* Thu May 19 2011 saschpe@suse.de
- Disable brp-strip-static-archive also on RHEL and CentOS
* Wed May 18 2011 saschpe@suse.de
- Don't require 'go'
- Disable brp-strip-static-archive on Fedora, breaks build
- Provide devel and devel-static packages
- Remove devel-file-in-non-devel-package rpmlint filter
* Wed May 18 2011 saschpe@suse.de
- Update to 2011/05/18 mercurial version
* Mon Mar 21 2011 saschpe@suse.de
- Removed authors from description
- Removed pkg_version macro, use %%%%{version} directly
* Tue Feb  1 2011 graham@andtech.eu
- Patch get.go to use float64 (float type is removed)
* Tue Nov  9 2010 speilicke@novell.com
- Initial commit
